/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    BLOG
    Styles du blog
*/

/*
  00 - GÉNÉRAL
  01 - ARCHIVE
  02 - CARD
  03 - SINGLE
*/



/* -----------------
  01 - ARCHIVE
----------------- */

.page-hero--blog .page-hero__text {
    text-align: center;
    margin-bottom: 30px;
}

.list-categories {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 12px;
    padding: 20px 0;
}

.list-categories__categorie a {
    display: inline-block;
    background-color: var(--white);
    color: var(--color-primary);
    padding: 5px 12px;
    border: 1px solid var(--color-primary);
    border-radius: 200px;
}

    /* Active */
    .list-categories__categorie.active a {
        background-color: var(--color-primary);
        color: var(--white);
    }

.blog__listing {
    margin-bottom: 40px;
}

.category .page-hero {
    margin-bottom: 20px;
}



/* -----------------
  02 - CARD
----------------- */

.card-blog {
    display: flex;
    flex-direction: column;
    height: 100%;
    border: 1px solid var(--color-secondary);
    padding: 24px 16px;
    border-radius: 16px;
    background-color: var(--white);
}
@media (min-width: 768px) {
    .card-blog {
        padding: 48px 32px;
    }
}

.card-blog__picture {
    position: relative;
    background-color: var(--white);
    margin-bottom: 18px;
    aspect-ratio: 4 / 3;
}

/* Image par défaut */
.card-blog__picture.contain > a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.card-blog__picture.contain img {
    max-width: 75%;
    max-height: 75%;
}

.card-blog__categories {
    display: flex;
    flex-wrap: wrap;
    row-gap: 5px;
    color: var(--color-primary);
    font-size: 1.2rem;
    font-weight: 800;
    margin-bottom: 16px;
}
.card-blog__categories span {
    border: 1px solid var(--color-primary);
    padding: 5px 12px;
    border-radius: 200px;
    display: inline-block;
}

    /* Si plusieurs catégories */
    .card-blog__categories span:not(:first-child) {
        margin-left: 4px;
    }

.card-blog__text {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: flex-start;
}

.card-blog__title {
    font-size: 2rem;
    font-weight: 800;
    line-height: 125%;
    margin-bottom: 10px;
    min-height: 50px;
}
.card-blog__title a {
    color: var(--color-primary);
}

.card-blog__description {
    margin-bottom: 24px;
    line-height: 156%;
    color: var(--dark-gray);
    width: 100%;
}

/* -----------------
  03 - SINGLE
----------------- */
.single_blog-container {
    padding: 50px 0;
}

.page-hero-singleBlog__text .breadcrumb,
.page-hero-singleBlog__text .breadcrumb a{
    color: var(--dark-gray);
}

.page-hero-singleBlog {
    padding: 40px 0;
}

.page-hero-singleBlog__text h1 {
    margin-top: 0 !important;
}

.page-hero-singleBlog__img {
    border-radius: 16px;
    aspect-ratio: 444 / 340;
}
